/*-----------------------------------------------------------------------------
[名称]	LaunchDlg.h
[概要]	ランチャ設定ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2004-01-08	NC		(3204)新規作成(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_LAUNCHDLG_H_INCLUDED_)
#define AFX_LAUNCHDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "LaunchListCtrl.h"
#include "OwnerTabPage.h"
#include "resource.h"

/*-----------------------------------------------------------------------------
[名称]	ランチャ設定ダイアログクラス
[用途]	ランチャ設定ダイアログ。
[備考]	なし
-----------------------------------------------------------------------------*/
class CLaunchDlg : public COwnerTabPage
{
// コンストラクション
public:
	// 生成
	CLaunchDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// 確定処理
	void Confirm();

	// 表示制御
	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CLaunchDlg)
	enum { IDD = IDD_LAUNCH };
	CButton	m_btnUp;
	CButton	m_btnEdit;
	CButton	m_btnDown;
	CButton	m_btnDelete;
	CButton	m_btnAdd;
	CLaunchListCtrl	m_listLaunch;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CLaunchDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CImageList	m_ImageList;		// 行高さ調整用イメージリスト

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CLaunchDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnLaunchEdit();
	afx_msg void OnLaunchAdd();
	afx_msg void OnLaunchDelete();
	afx_msg void OnLaunchUp();
	afx_msg void OnLaunchDown();
	afx_msg void OnItemchangedLaunchList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkLaunchList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_LAUNCHDLG_H_INCLUDED_)
